import type { ISession } from './types';
import type { Resolver } from './resolvers';
/**
 * https://www.ncbi.nlm.nih.gov/pmc/tools/id-converter-api/
 */
export declare function convertPMID2PMCID(session: ISession, PMID: string): Promise<string | undefined>;
export declare function checkIfPubMedCentralHasJats(session: ISession, urlOrDoi: string): Promise<string | undefined>;
export declare function downloadJatsFromUrl(session: ISession, urlOrDoi: string, resolvers?: Resolver[]): Promise<{
    source: string;
    data: string;
}>;
//# sourceMappingURL=download.d.ts.map